FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202108130208.p0.git.1014291.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108130208.p0.git.1014291.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1014291 OS_GIT_VERSION=4.8.0-202108130208.p0.git.1014291.assembly.stream-1014291 SOURCE_DATE_EPOCH=1616604074 SOURCE_GIT_COMMIT=101429149266e2c86a41b82baf47a033c9a93b02 SOURCE_GIT_TAG=10142914 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 
WORKDIR /go/src/github.com/openshift/openshift-state-metrics
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0.20210813.021751
ENV __doozer=update BUILD_RELEASE=202108130208.p0.git.1014291.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108130208.p0.git.1014291.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1014291 OS_GIT_VERSION=4.8.0-202108130208.p0.git.1014291.assembly.stream-1014291 SOURCE_DATE_EPOCH=1616604074 SOURCE_GIT_COMMIT=101429149266e2c86a41b82baf47a033c9a93b02 SOURCE_GIT_TAG=10142914 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 

ARG FROM_DIRECTORY=/go/src/github.com/openshift/openshift-state-metrics
COPY --from=builder ${FROM_DIRECTORY}/openshift-state-metrics  /usr/bin/openshift-state-metrics

USER nobody
ENTRYPOINT ["/usr/bin/openshift-state-metrics"]

LABEL \
        io.k8s.display-name="openshift-state-metrics" \
        io.k8s.description="This is a component that exposes metrics about OpenShift objects." \
        io.openshift.tags="OpenShift" \
        maintainer="Haoran Wang <haowang@redhat.com>" \
        name="openshift/ose-openshift-state-metrics" \
        com.redhat.component="openshift-state-metrics-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202108130208.p0.git.1014291.assembly.stream" \
        io.openshift.build.commit.id="101429149266e2c86a41b82baf47a033c9a93b02" \
        io.openshift.build.source-location="https://github.com/openshift/openshift-state-metrics" \
        io.openshift.build.commit.url="https://github.com/openshift/openshift-state-metrics/commit/101429149266e2c86a41b82baf47a033c9a93b02" \
        version="v4.8.0"

